org.apache.el.lang

## Class FunctionMapperFactory

- java.lang.Object
- - javax.el.FunctionMapper
  - - org.apache.el.lang.FunctionMapperFactory

-     public class FunctionMapperFactory
      extends FunctionMapper

  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FunctionMapperImpl` | `memento`
    `protected FunctionMapper` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionMapperFactory(FunctionMapper mapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FunctionMapper` | `create()`
    `Method` | `resolveFunction(String prefix, String localName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### memento

          protected FunctionMapperImpl memento

    - #### target

          protected FunctionMapper target

  - ### Constructor Detail

    - #### FunctionMapperFactory

          public FunctionMapperFactory(FunctionMapper mapper)

  - ### Method Detail

    - #### resolveFunction

          public Method resolveFunction(String prefix,
                               String localName)

      Specified by:
        `resolveFunction` in class `FunctionMapper`

    - #### create

          public FunctionMapper create()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.